summaryrefslogtreecommitdiffstats
path: root/tools/nfast-partition-del
diff options
context:
space:
mode:
authorEndi S. Dewata <edewata@redhat.com>2017-07-20 08:17:26 +0200
committerEndi S. Dewata <edewata@redhat.com>2017-07-20 08:17:26 +0200
commitb6deb83bb5734e64842b2ac8655c89931ca2ec34 (patch)
treeb934500aee766c61b97539bde50b2027e6443787 /tools/nfast-partition-del
parent43f17ccffb5cec8c7b4faa6f441090db96b6eacb (diff)
downloadpki-dev-b6deb83bb5734e64842b2ac8655c89931ca2ec34.tar.gz
pki-dev-b6deb83bb5734e64842b2ac8655c89931ca2ec34.tar.xz
pki-dev-b6deb83bb5734e64842b2ac8655c89931ca2ec34.zip
Added nFast scripts.
Diffstat (limited to 'tools/nfast-partition-del')
-rwxr-xr-xtools/nfast-partition-del50
1 files changed, 50 insertions, 0 deletions
diff --git a/tools/nfast-partition-del b/tools/nfast-partition-del
new file mode 100755
index 0000000..9fddba3
--- /dev/null
+++ b/tools/nfast-partition-del
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+verbose=
+
+# read the options
+TEMP=`getopt -o v --long help -n 'nfast-partition-del' -- "$@"`
+eval set -- "$TEMP"
+
+# extract options and their arguments into variables.
+while true ; do
+ case "$1" in
+ --help)
+ echo "Usage: nfast-partition-del <name> [OPTIONS]"
+ echo
+ echo "Options:"
+ echo " -v Run in verbose mode."
+ echo " --help Show help message."
+ exit 0
+ ;;
+ -v)
+ verbose=1
+ shift
+ ;;
+ --)
+ shift
+ break
+ ;;
+ *)
+ echo "Error: invalid option $1" >&2
+ echo "Run nfast-partition-del --help for help." >&2
+ exit 1
+ ;;
+ esac
+done
+
+partition=$1
+
+if [[ "$verbose" != "" ]]
+then
+ echo "partition name: $partition"
+fi
+
+if [[ "$partition" == "" ]]
+then
+ echo "Error: missing partition name" >&2
+ echo "Run nfast-partition-del --help for help." >&2
+ exit 1
+fi
+
+echo -e "yes\n" | /opt/nfast/bin/ppmk --delete $partition